package de.nanoleaf.server;

import io.github.rowak.nanoleafapi.Color;

public enum ColorEnum {
		
	BLACK(Color.BLACK),
	
	WHITE(Color.WHITE),
	
	RED(Color.RED),
	
	GREEN(Color.GREEN),
	
	BLUE(Color.BLUE),
	
	MAGENTA(Color.MAGENTA),
	
	YELLOW(Color.YELLOW),
	
	CYAN(Color.CYAN),
	
	GRAY(Color.GRAY),
	
	LIGHT_GRAY(Color.LIGHT_GRAY),
	
	DARK_GRAY(Color.DARK_GRAY),
	
	PINK(Color.PINK),
	
	ORANGE(Color.ORANGE),
	
	;

	private Color m_color;
	public Color getColor() { return m_color; }

	ColorEnum(Color color) {
		this.m_color = color;
	}
	
	
	

}
